Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.om
Class OMTool

    java.lang.Object
      org.apache.turbine.om.OMTool

All Implemented Interfaces:
  org.apache.fulcrum.pool.Recyclable, ApplicationTool

    public class OMTool

extends Object
implements ApplicationTool, org.apache.fulcrum.pool.Recyclable

A Pull tool to make om objects available to a template

Version:
  $Id: OMTool.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  John D. McNally, Henning P. Schmiedehausen

Nested Class Summary
`protected class` | `OMTool.PullHelper` Inner class to present a nice interface to the template designer

Field Summary
`protected RetrieverFactory` | `omFactory` The Factory responsible for retrieving the objects from storage
`protected HashMap<String,Object>` | `omMap`

Constructor Summary
`OMTool()`

Method Summary
`void` | `dispose()` Disposes the object after use.
`Object` | `get(String omName)`
`Object` | `get(String omName, String key)`
`String` | `getName()`
`void` | `init(Object runData)` Prepares tool for a single request
`boolean` | `isDisposed()` Checks whether the recyclable has been disposed.
`void` | `recycle()` Recycles the object for a new client.
`void` | `refresh()` Implementation of ApplicationTool interface is not needed for this method as the tool is request scoped

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### omMap

    protected HashMap<String,Object> omMap

### omFactory

    protected RetrieverFactory omFactory

  The Factory responsible for retrieving the objects from storage

Constructor Detail

### OMTool

    public OMTool()
           throws Exception

Throws:
  `Exception`

Method Detail

### init

    public void init(Object runData)

  Prepares tool for a single request

  Specified by:
    `init` in interface `ApplicationTool`
  Parameters:
    `runData` - initialization data

### refresh

    public void refresh()

  Implementation of ApplicationTool interface is not needed for this method as the tool is request scoped

  Specified by:
    `refresh` in interface `ApplicationTool`

### get

    public Object get(String omName)
               throws Exception

  Throws:
    `Exception`

### get

    public Object get(String omName,
                      String key)
               throws Exception

  Throws:
    `Exception`

### getName

    public String getName()

### recycle

    public void recycle()

  Recycles the object for a new client. Recycle methods with parameters must be added to implementing object and they will be automatically called by pool implementations when the object is taken from the pool for a new client. The parameters must correspond to the parameters of the constructors of the object. For new objects, constructors can call their corresponding recycle methods whenever applicable. The recycle methods must call their super.

  Specified by:
    `recycle` in interface `org.apache.fulcrum.pool.Recyclable`

### dispose

    public void dispose()

  Disposes the object after use. The method is called when the object is returned to its pool. The dispose method must call its super.

  Specified by:
    `dispose` in interface `org.apache.fulcrum.pool.Recyclable`

### isDisposed

    public boolean isDisposed()

  Checks whether the recyclable has been disposed.

  Specified by:
    `isDisposed` in interface `org.apache.fulcrum.pool.Recyclable`
  Returns:
    true, if the recyclable is disposed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.